Package org.eclipse.m2m.atl.profiler.ui.executionviewer.view

# Class InstructionFilter

java.lang.Object
org.eclipse.jface.viewers.ViewerFilter
org.eclipse.m2m.atl.profiler.ui.executionviewer.view.InstructionFilter

public class InstructionFilter extends org.eclipse.jface.viewers.ViewerFilter
A filter for instructions.

## Constructor Summary

Constructors
Constructor
Description
`InstructionFilter()`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`select(org.eclipse.jface.viewers.Viewer viewer, Object parentElement, Object element)`

### Methods inherited from class org.eclipse.jface.viewers.ViewerFilter

`filter, filter, isFilterProperty`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### InstructionFilter

public InstructionFilter()

## Method Details

### select

public boolean select(org.eclipse.jface.viewers.Viewer viewer, Object parentElement, Object element)

Specified by:
  `select` in class `org.eclipse.jface.viewers.ViewerFilter`
See Also:
  - `ViewerFilter.select(org.eclipse.jface.viewers.Viewer, java.lang.Object, java.lang.Object)`